package com.bootdo.system.service;

import com.bootdo.system.domain.ProvinceCode;
import com.bootdo.system.domain.ProvinceCodeExample;

import java.util.List;

public interface ProvinceCodeService {


    long countByExample(ProvinceCodeExample example);

    int deleteByExample(ProvinceCodeExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(ProvinceCode record);

    int insertSelective(ProvinceCode record);

    List<ProvinceCode> selectByExample(ProvinceCodeExample example);

    ProvinceCode selectByPrimaryKey(Integer id);

    ProvinceCode selectByCode(Integer code);

    int updateByExampleSelective(ProvinceCode record, ProvinceCodeExample example);

    int updateByExample(ProvinceCode record, ProvinceCodeExample example);

    int updateByPrimaryKeySelective(ProvinceCode record);

    int updateByPrimaryKey(ProvinceCode record);

    int updateBatch(List<ProvinceCode> list);

    int batchInsert(List<ProvinceCode> list);

}
